Description

After #24655 has been resolved, I can create a new user without a password an check "User must change password at next logon".

But I can't click the logon button without typing a password, but the user has no password as it should be set on next logon.

There are 3 ways to solve this:

1. Enable logon without a password

2. Enable passwords without password rule if the user has to change his PW anyway on his first logon according to the rules.

3. Button to automatically generate a password that complies with the rules and copy into to the clipboard.

History

#1 - 01/31/2020 11:39 AM - Volker Theile

Keep the password policies in mind. This might make this issue a little bit more complicated.

#2 - 02/03/2020 04:09 PM - Tatjana Dehler

I do have a question... maybe it's a dump one: what's the purpose of creating an user without password? - I thought it's only used for SSO?

#3 - 02/06/2020 11:25 AM - Stephan Müller

If you just check "User must change password at next logon" you might be attempted to create a user with no password with the idea in mind that the

new user can logon to the password change dialog in order to set his password, and you are allowed to create a user without a password, but you

can't login.

#4 - 03/31/2020 10:34 AM - Lenz Grimmer

- Tags set to administration

- Target version deleted (v15.0.0)

#5 - 03/31/2020 10:54 AM - Tatjana Dehler

Stephan Müller wrote:

If you just check "User must change password at next logon" you might be attempted to create a user with no password with the idea in mind

that the new user can logon to the password change dialog in order to set his password, and you are allowed to create a user without a

password, but you can't login.

 

I think that's a combination of two different use cases. I don't think it was intentional to create a user without a password and forcing him to change the

password at the next login. The possibility to create users without passwords serves the SSO use case. In my opinion this issue should be fixed by

disabling the "User must change password at next logon" checkbox as long as no password has been set.
#6 - 05/07/2020 03:58 PM - Stephan Müller

Tatjana Dehler wrote:

Stephan Müller wrote:

If you just check "User must change password at next logon" you might be attempted to create a user with no password with the idea in

mind that the new user can logon to the password change dialog in order to set his password, and you are allowed to create a user without

a password, but you can't login.

 

I think that's a combination of two different use cases. I don't think it was intentional to create a user without a password and forcing him to

change the password at the next login. The possibility to create users without passwords serves the SSO use case. In my opinion this issue

should be fixed by disabling the "User must change password at next logon" checkbox as long as no password has been set.

 

Then you prefer the third option? Adding a button that generates a password that suites the rules and add a copy to clipboard button to it (+disabling

the checkbox until a password is set)?

#7 - 04/15/2021 05:04 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 150 to Component - Users & Roles
